Subject: bug#45165: binutils-mesboot0 fails at configure, cannot find lex

From: kitzman <[email-masked]>
Date: Thu, 24 Feb 2022 15:09:00 +0200

Tobias Geerinckx-Rice <[email-masked]> writes:

>> My diff from linux-libre, which sure seems to tell a story:
>>
>> y -> not set  CONFIG_UID16 (obsolete)
>
> As expected upthread, this and this alone was indeed the culprit. I
> don't see any evidence of interaction with other options though.
>

I tried working around the issue by patching stuff (either the shell, or
using the "test" utility), but I gave up after too many things to patch.

I guess the most appropriate would be to wait for the full x86_64
support from GNU mes, and if it persists, to open bugs to binutils,
gash, or whatever else uses the inbuilt "test" functionality of the shell.